Subject: Re: [PATCH 4/4] t5326: test propagating hashcache values

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Sep 2021 19:05:32 -0700

Taylor Blau <[email-masked]> writes:

> Alas, there they are. They are basically no different than having the
> name-hash for single pack bitmaps, it's just now we don't throw them
> away when generating a MIDX bitmap from a state where the repository
> already has a single-pack bitmap.

I actually wasn't expecting any CPU/time difference.

I hope that we are talking about the same name-hash, which is used
to sort the blobs so that when pack-objects try to find a good delta
base, the blobs from the same path will sit close to each other and
hopefully fit in the pack window.

The effect I was hoping to see by not discarding the information was
that we find better delta base hence smaller deltas in the resulting
packfiles.

Thanks.